Subject: Re: bug#57269: [rtl8812au-aircrack-ng-linux-module] Missing Source for hal/rtl8812a/hal8812a_fw.c (and probably other files ending in fw.c)
From: Maxim Cournoyer <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: Jacob K <[email-masked]>, [email-masked]
Date: Sat, 27 Aug 2022 11:47:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Tobias Geerinckx-Rice <[email-masked]> writes:
>
>> Hi Jacob,
>>
>> Jacob K via Bug reports for GNU Guix 写道：
>>> Files such as hal8812a_fw.c [1] have large arrays that seem to be
>>> binary
>>> firmware encoded in text. My understanding is that source code is
>>> not
>>> available, so I believe the files are nonfree software,
>>
>> Even if free source code exists, we should still remove the blobs and
>> build our own.  (Yes, we actually do this for other firmware :-)
>>
>>> the short-term at least, be removed from Guix. Long term it would be
>>> good to get the source code (via reverse engineering or asking
>>> Realtek),
>>> but I imagine that would take a significant amount of time and
>>> effort (I
>>> do have a Realtek USB Wi-Fi card, maybe not with this exact firmware
>>> though.).
>>
>> Unfortunately all correct.  Another blow to wireless networking with
>> Guix.  Attached is a patch removing the rtl8821ce-linux-module and
>> rtl8812au-aircrack-ng-linux-module packages.

Closing, as the drivers were removed in Tobias's commit
b8f2eb286ec52c97048e23d326d94ae5772797e8.

Thanks,

Maxim